# 联系方式

- 姓名：刘爽/男/1997/Java
- 学历：大专/合肥经济技术职业学院
- 电话：17730014137（微信同号）
- 邮箱：jkwlstv@outlook.com

# 个人网站

http://117.50.220.191:8418/doc/me

- <a target='_blank' href='./SpringAI/0_%E4%BD%BF%E7%94%A8SpringAI%E6%8E%A5%E5%85%A5AI%E6%A8%A1%E5%9E%8B.md'>使用spring ai构建AI大模型应用</a>
- <a href='./JFR' target='_blank'>JFR持续监控Java运行时状态</a>

# 技能清单

- 我具有良好的沟通协作能力、良好的编码习惯、丰富的排障经验
- 理解MySQL的B+Tree索引结构设计的好处，了解MVCC的工作机制
- 能在合适的业务场景下使用Redis缓存
- 能合理的利用Redisson封装的分布式锁API保障分布式环境下的线程安全
- 有通过RocketMQ构建高吞吐服务的架构设计经验
- 有Seata分布式事务中间件和RocketMQ事务消息与项目集成的落地经验
- 熟悉ShardingJDBC分库分表的使用
- 能用Shell脚本在Linux环境下发布应用
- 了解docker和k8s，会基本的Dockerfile编写
- 熟悉Prometheus、Skywalking观测并排查生产环境中的问题
- 能用 vue、elementui 开发简单的web前端页面

# 工作经历

## 上海兴岩科技有限公司（2023/07~2025/03）

- 职位：Java开发
- 项目：整车集成开发平台，该项目是一个辅助整车开发相关工程师管理汽车项目的零部件、造型、问题及跟进处理的系统。
- 技术栈：MySQL、Redis、Kafka、Nacos、Feign、Spring Boot、Spring Cloud、Activity、ShardingJDBC
- 工作内容：参与迭代需求评审、文档编写、代码开发、单元测试、问题排查及修复

## 江苏普飞科特信息科技有限公司（2019/07~2023/05）

- 职位：开发组长（5人）
- 技术栈：MySQL、Redis、Rocket MQ、Nacos、Apollo、Feign、Seata、Spring Boot、Spring Cloud
- 项目：蜂羽，蜂羽是一个网络货运平台，为货主企业物流的管理提供综合解决方案，为运输企业和个体司机提供诸如电子油卡、货物保险、金融等增值服务的平台
- 工作内容：
  + 技术选型、编写技术文档、数据库设计，带领小组按时完成开发任务，巡查并修复生产环境的问题
  + 为项目集成分布式事务中间件 Seata 解决微服务中跨服务跨库数据一致性问题
  + 引入 Rocket MQ 消息中间件，用事件驱动模型解耦微服务之间的依赖，搭建ETL工具（canal+binlog+顺序消息）、集群实例同步JVM内存缓存（广播消费）
  + 构建稳定高效的消息中心服务，包含邮件、短信、外呼电话、隐私号、APP推送
  + 对接并收敛三方支付平台API，搭建公司内部的聚合支付网关，通过事件驱动模型提高支付相关功能的吞吐量
  + 埋点支付相关事件，构建稳定可靠的对账系统，保障交易数据安全
  + 接入 Prometheus、SkyWalking 监测服务运行时状态

## 上海柏维信息技术有限公司（2017/05~2019/06）

- 职位：Java开发
- 技术栈：Activity、MySQL、Oracle、Redis、Bootstrap、jQuery、SpringMVC
- 项目：SmartCC云呼叫中心，该项目是一个集成在线客服、BPM工单、IP电话呼入/呼出的呼叫中心平台。
- 工作内容：参与日常迭代开发和相关文档的编写，按时完成领导交办的任务，在线客服的表结构设计，集成Activity并开发相关业务的工单。